## org.eclipse.emf.cdo.spi.common.model
Interface InternalCDOPackageInfo

All Superinterfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, CDOPackageInfo, java.lang.Comparable<CDOPackageInfo>, org.eclipse.emf.ecore.EPackage.Descriptor

    public interface InternalCDOPackageInfo

extends CDOPackageInfo, org.eclipse.emf.common.notify.Adapter.Internal

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Method Summary
`InternalCDOPackageUnit` `getPackageUnit()`
`void` `read(CDODataInput in)`
`void` `setMetaIDRange(CDOIDMetaRange metaIDRange)`
`void` `setPackageUnit(InternalCDOPackageUnit packageUnit)`
`void` `setPackageURI(java.lang.String packageURI)`
`void` `setParentURI(java.lang.String parentURI)`
`void` `write(CDODataOutput out)`

Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageInfo
`getEPackage, getMetaIDRange, getPackageURI, getParentURI, isCorePackage, isResourcePackage, isSystemPackage`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Methods inherited from interface org.eclipse.emf.ecore.EPackage.Descriptor
`getEFactory, getEPackage`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter.Internal
`unsetTarget`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Method Detail

### getPackageUnit

    InternalCDOPackageUnit getPackageUnit()

  Specified by:
    `getPackageUnit` in interface `CDOPackageInfo`

### setPackageUnit

    void setPackageUnit(InternalCDOPackageUnit packageUnit)

### setPackageURI

    void setPackageURI(java.lang.String packageURI)

### setParentURI

    void setParentURI(java.lang.String parentURI)

### setMetaIDRange

    void setMetaIDRange(CDOIDMetaRange metaIDRange)

### write

    void write(CDODataOutput out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    void read(CDODataInput in)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.